Loading...
Searching...
No Matches
RDKit::MolStandardize::TautomerTransform Class Reference

`#include <TautomerCatalogUtils.h>`

## Public Member Functions

| TautomerTransform (ROMol *mol, std::vector< Bond::BondType > bondtypes, std::vector< int > charges)
| TautomerTransform (const TautomerTransform &other)
TautomerTransform & | operator= (const TautomerTransform &other)
| ~TautomerTransform ()

## Public Attributes

ROMol * | Mol = nullptr
std::vector< Bond::BondType > | BondTypes
std::vector< int > | Charges

## Detailed Description

Definition at line 36 of file TautomerCatalogUtils.h.

## Constructor & Destructor Documentation

## TautomerTransform() [1/2]

RDKit::MolStandardize::TautomerTransform::TautomerTransform | ( | ROMol * | mol,
|  | std::vector< Bond::BondType > | bondtypes,
|  | std::vector< int > | charges
| ) |  |

inline

Definition at line 42 of file TautomerCatalogUtils.h.

## TautomerTransform() [2/2]

RDKit::MolStandardize::TautomerTransform::TautomerTransform | ( | const TautomerTransform & | other | ) |

inline

Definition at line 48 of file TautomerCatalogUtils.h.

References Mol.

## ~TautomerTransform()

RDKit::MolStandardize::TautomerTransform::~TautomerTransform | ( |  | ) |

inline

Definition at line 63 of file TautomerCatalogUtils.h.

## Member Function Documentation

## operator=()

TautomerTransform & RDKit::MolStandardize::TautomerTransform::operator= | ( | const TautomerTransform & | other | ) |

inline

Definition at line 53 of file TautomerCatalogUtils.h.

References BondTypes, Charges, and Mol.

## Member Data Documentation

## BondTypes

std::vector<Bond::BondType> RDKit::MolStandardize::TautomerTransform::BondTypes

Definition at line 39 of file TautomerCatalogUtils.h.

Referenced by operator=().

## Charges

std::vector<int> RDKit::MolStandardize::TautomerTransform::Charges

Definition at line 40 of file TautomerCatalogUtils.h.

Referenced by operator=().

## Mol

ROMol* RDKit::MolStandardize::TautomerTransform::Mol = nullptr

Definition at line 38 of file TautomerCatalogUtils.h.

Referenced by operator=(), and TautomerTransform().

The documentation for this class was generated from the following file:

- TautomerCatalogUtils.h